ppx_tools

Author Alain Frisch <alain.frisch@lexifi.com>
License MIT
Homepage https://github.com/alainfrisch/ppx_tools
Issue Tracker https://github.com/alainfrisch/ppx_tools/issues
Tag syntax
Maintainer alain.frisch@lexifi.com
Dependencies
ocamlfind >= 1.5.0
Available ocaml-version >= "4.02.0" & ocaml-version < "4.03.0"
Published May 3, 2016
Source [http] http://github.com/alainfrisch/ppx_tools/archive/5.0+4.02.0.tar.gz
2f2bbe2ef0d16a6371d25a9e78854b3d
Statistics Installed 4892 times in last month.
Edit https://github.com/ocaml/opam-repository/tree/master/packages/ppx_tools/ppx_tools.5.0+4.02.0/opam

Tools for authors of ppx rewriters and other syntactic tools

Necessary for
aperf
>= 0.1.2
arp
bisect_ppx
bistro
charrua-core
>= 0.5
csvprovider
dns
>= 0.18.0
dns-forward
eliom
>= 5.0.0
fat-filesystem
>= 0.11.0
gdb
gensqlite
js_of_ocaml
>= 2.6
lwt
>= 2.4.6
mirage-block-xen
>= 1.4.0
mirage-net-xen
>= 1.6.0
mirage-profile
>= 0.7.0
nbd
>= 2.1.0
ocaml-monadic
>= 0.3.2
ocamllint
ocf
omonad
>= 0.3.0
orakuda
>= 2.0.0
otr
>= 0.3.1
pcap-format
>= 0.4.0
ppx_assert
v0.9.0
ppx_bench
v0.9.0
ppx_bin_prot
v0.9.0
ppx_bitstring
ppx_blob
>= 0.2
ppx_compare
v0.9.0
ppx_const
ppx_conv_func
v0.9.0
ppx_core
v0.9.0
ppx_csv_conv
ppx_custom_printf
v0.9.0
ppx_defer
ppx_deriving
ppx_deriving_morphism
>= 0.4
ppx_distr_guards
ppx_driver
113.24.00
ppx_enumerate
v0.9.0
ppx_expect
v0.9.0
ppx_fail
v0.9.0
ppx_fields_conv
v0.9.0
ppx_getenv
ppx_hardcaml
ppx_here
113.24.00
ppx_implicits
ppx_import
ppx_inline_test
v0.9.0
ppx_json_types
ppx_monadic
ppx_monoid
ppx_netblob
ppx_optcomp
v0.9.0
ppx_orakuda
ppx_pipebang
v0.9.0
ppx_sexp_conv
v0.9.0
ppx_sexp_message
v0.9.0
ppx_sexp_value
v0.9.0
ppx_type_conv
v0.9.0
ppx_typerep_conv
v0.9.0
ppx_variants_conv
v0.9.0
ppx_xml_conv
ppxx
protocol-9p
>= 0.6.0
qcow
qcow-format
>= 0.4
sedlex
>= 1.99.1
sequoia
shared-memory-ring
>= 1.2.0
sqlexpr
>= 0.7.1
tar-format
>= 0.5.0
tcpip
>= 2.7.0
tls
>= 0.7.1
tyxml-ppx
utop
& >= 1.19
1.19.2
vchan
>= 2.1.0
vhd-format
>= 0.8.0
visitors
vmnet
>= 1.1.0
xenstore
>= 1.3.0
Optional for
cstruct
>= 1.8.0
lens
>= 1.1.0
tyxml
>= 4.0.0
utop
& >= 1.19.2
1.19.3